summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-01 14:46:24 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-01 14:46:24 +0000
commit21b7d6b996a26c84dddfd01dbf4560ac0d376765 (patch)
treed735fc3562b6bb86b3042fc13b0be307bbabe9e0 /dev-python
parentcffbcdadc6d16999a8ea9d79d035f4c86310f9bc (diff)
downloadbaldeagleos-repo-21b7d6b996a26c84dddfd01dbf4560ac0d376765.tar.gz
baldeagleos-repo-21b7d6b996a26c84dddfd01dbf4560ac0d376765.tar.xz
baldeagleos-repo-21b7d6b996a26c84dddfd01dbf4560ac0d376765.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/ansible-compat/ansible-compat-2.0.2.ebuild2
-rw-r--r--dev-python/astroid/astroid-2.10.0.ebuild2
-rw-r--r--dev-python/blosc/blosc-1.10.5-r1.ebuild2
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.21.31.ebuild63
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.24.31.ebuild68
-rw-r--r--dev-python/click/Manifest1
-rw-r--r--dev-python/click/click-8.1.2.ebuild36
-rw-r--r--dev-python/coverage/coverage-6.3.2-r1.ebuild2
-rw-r--r--dev-python/diskcache/diskcache-5.4.0-r1.ebuild2
-rw-r--r--dev-python/diskcache/diskcache-5.4.0.ebuild36
-rw-r--r--dev-python/flask-wtf/Manifest1
-rw-r--r--dev-python/flask-wtf/flask-wtf-1.0.1.ebuild43
-rw-r--r--dev-python/fsspec/Manifest1
-rw-r--r--dev-python/fsspec/fsspec-2022.3.0.ebuild53
-rw-r--r--dev-python/gst-python/gst-python-1.18.6.ebuild2
-rw-r--r--dev-python/httpx/httpx-0.22.0-r2.ebuild (renamed from dev-python/httpx/httpx-0.22.0-r1.ebuild)4
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.40.1.ebuild66
-rw-r--r--dev-python/ini2toml/ini2toml-0.10.ebuild1
-rw-r--r--dev-python/ipykernel/Manifest3
-rw-r--r--dev-python/ipykernel/ipykernel-6.11.0.ebuild (renamed from dev-python/ipykernel/ipykernel-6.9.1.ebuild)24
-rw-r--r--dev-python/ipykernel/ipykernel-6.6.1.ebuild70
-rw-r--r--dev-python/ipykernel/ipykernel-6.9.2.ebuild2
-rw-r--r--dev-python/line_profiler/Manifest1
-rw-r--r--dev-python/line_profiler/line_profiler-3.5.1.ebuild50
-rw-r--r--dev-python/lit/lit-13.0.1.ebuild2
-rw-r--r--dev-python/mando/mando-0.7.1.ebuild2
-rw-r--r--dev-python/pdm-pep517/Manifest5
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-0.10.0.ebuild50
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-0.10.1-r1.ebuild65
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-0.10.1.ebuild50
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-0.10.2.ebuild55
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-0.11.0.ebuild56
-rw-r--r--dev-python/pdm-pep517/pdm-pep517-0.11.2.ebuild57
-rw-r--r--dev-python/phonenumbers/Manifest1
-rw-r--r--dev-python/phonenumbers/phonenumbers-8.12.46.ebuild39
-rw-r--r--dev-python/protobuf-python/protobuf-python-3.19.3.ebuild2
-rw-r--r--dev-python/psutil/psutil-5.9.0.ebuild2
-rw-r--r--dev-python/pybind11/pybind11-2.9.2.ebuild2
-rw-r--r--dev-python/pyopengl/pyopengl-3.1.6.ebuild2
-rw-r--r--dev-python/pypugjs/Manifest1
-rw-r--r--dev-python/pypugjs/pypugjs-5.9.11.ebuild45
-rw-r--r--dev-python/pypy3-exe-bin/pypy3-exe-bin-7.3.8.ebuild2
-rw-r--r--dev-python/pytest-markdown/pytest-markdown-1.0.2.ebuild4
-rw-r--r--dev-python/pytest-plus/pytest-plus-0.2.ebuild4
-rw-r--r--dev-python/python-dbusmock/Manifest1
-rw-r--r--dev-python/python-dbusmock/python-dbusmock-0.25.0.ebuild33
-rw-r--r--dev-python/python-dbusmock/python-dbusmock-0.26.1.ebuild2
-rw-r--r--dev-python/python-systemd/python-systemd-234-r2.ebuild2
-rw-r--r--dev-python/pythondialog/Manifest1
-rw-r--r--dev-python/pythondialog/pythondialog-3.5.3.ebuild32
-rw-r--r--dev-python/scipy/scipy-1.8.0.ebuild2
-rw-r--r--dev-python/sphinx-testing/sphinx-testing-1.0.1-r2.ebuild2
-rw-r--r--dev-python/sphinx_ansible_theme/Manifest1
-rw-r--r--dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.9.0.ebuild26
-rw-r--r--dev-python/subprocess-tee/subprocess-tee-0.3.5.ebuild4
-rw-r--r--dev-python/twine/Manifest1
-rw-r--r--dev-python/twine/twine-4.0.0.ebuild64
-rw-r--r--dev-python/twisted/twisted-22.1.0-r1.ebuild2
-rw-r--r--dev-python/wsproto/wsproto-1.1.0.ebuild2
62 files changed, 609 insertions, 550 deletions
diff --git a/dev-python/ansible-compat/ansible-compat-2.0.2.ebuild b/dev-python/ansible-compat/ansible-compat-2.0.2.ebuild
index 105cab078af0..4b3decd31300 100644
--- a/dev-python/ansible-compat/ansible-compat-2.0.2.ebuild
+++ b/dev-python/ansible-compat/ansible-compat-2.0.2.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~riscv"
RDEPEND="
>=app-admin/ansible-base-2.9.0[${PYTHON_USEDEP}]
diff --git a/dev-python/astroid/astroid-2.10.0.ebuild b/dev-python/astroid/astroid-2.10.0.ebuild
index 31e2a5237044..83bd80833c2e 100644
--- a/dev-python/astroid/astroid-2.10.0.ebuild
+++ b/dev-python/astroid/astroid-2.10.0.ebuild
@@ -18,7 +18,7 @@ SRC_URI="
LICENSE="LGPL-2.1+"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
# Version specified in __pkginfo__.py.
RDEPEND="
diff --git a/dev-python/blosc/blosc-1.10.5-r1.ebuild b/dev-python/blosc/blosc-1.10.5-r1.ebuild
index 2888160a6f02..0ea62cc69e1f 100644
--- a/dev-python/blosc/blosc-1.10.5-r1.ebuild
+++ b/dev-python/blosc/blosc-1.10.5-r1.ebuild
@@ -19,7 +19,7 @@ S=${WORKDIR}/${MY_P}
SLOT="0"
LICENSE="MIT"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 0a2143854de3..46aa29e40967 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,4 +6,5 @@ DIST boto3-1.21.27.tar.gz 482968 BLAKE2B f8dbabe73377a861cf1d3d2e9388f7ba91f2047
DIST boto3-1.21.28.tar.gz 483052 BLAKE2B 89afa5ff7d9b8c256b525ef2d67a17de45fda8b63a3640513d9a786b2bcd77c0b8a5a572deb4bf3fb264fcc9c317c510b27fd836cba958816514bc1ac32bc327 SHA512 af6a8d11371b3616b15a5bf996b165808590d0074ead1bb54ee1b7a8357cd076648700838aba84f7d370120981db36096a6060c8b00ea7bdd9a4da5cb5ddcb8c
DIST boto3-1.21.29.tar.gz 483137 BLAKE2B fa753a52923d013a3c5b3981fb32614bc5cb7be1b7696d2b60df877b33814553c22eccaf8d66e4719922b4289181c2e8356a3b377b25e81c8bdf8496cd49d0a9 SHA512 6c916fce1097d226b865cebf2d8791bc40506d9dd5b2db49b61e038872fb2f51d9de727ab8c9da3accced2563e81314dbe87788af57d6366fb90c446d3b79555
DIST boto3-1.21.30.tar.gz 483635 BLAKE2B b42a3f647c2b609ac6604e4390d4c1c45757a15d420ea9f9710a0c469547bdb8c1fbc3e4737de88fa628e58b6021da5e470cb3a04f95f8dd383df0089fa0d13c SHA512 993c584e3cdad05436b88b2959cc359713b96a20e54be12d305544b8f1e059196caa76566c88d979490d40bb73a2ee213618ec3e4a20cc01328a00e9f160fd53
+DIST boto3-1.21.31.tar.gz 484562 BLAKE2B f647e7eb053ed38a8c670073ba028e5cccbb540807d8f9a1c60aec1a1e557937f62391a33d63edb69c123cf832b9eaeaa8dbfebb673b554381d548d60995fbfd SHA512 229b4c95743b7e217b2698130fc86970eb346728bdc0bc3cc0f5a9dc48a7922c21d04234a2f9ff9da29fb2d1742e5cca5e42f11ec92d0dd6ee29b3e2baf34c52
DIST boto3-1.21.8.tar.gz 473069 BLAKE2B f08f76fb9c4e56e6ba5624c885973599505769d7f9eea6e20a06e1a641768b1f7b108fc7293282a55bf4c7d2b62eb34853f46b8c3ada9afb8fc25624daa60c12 SHA512 23ed88dcaefe3224db05959251befaae4f03859bf00daf649db1e838e5fb92e01a6da4bee8083366d804404aac358df19d7e4552d6aaf39f9c4b371ccc7f9088
diff --git a/dev-python/boto3/boto3-1.21.31.ebuild b/dev-python/boto3/boto3-1.21.31.ebuild
new file mode 100644
index 000000000000..80278b309f54
--- /dev/null
+++ b/dev-python/boto3/boto3-1.21.31.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 7b93a043a2e6..df5bdd068701 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -6,4 +6,5 @@ DIST botocore-1.24.27.tar.gz 8856607 BLAKE2B aa149a79106bc6e9460d2b69b032b20d0fc
DIST botocore-1.24.28.tar.gz 8856916 BLAKE2B d662fec904cdfb048582252cfa77dadfcb1fcb58bb61e4b273bda34120825a27bc630d2c7fffd215f8733cdba97534da643da6d5b094f3e2ee3c6bb0a86bb27f SHA512 3f10d5ccd2b8051598adc37e452b057a3b53bc267f9cc3fb71caa18f406e515f008f22d2394a37b194ff4c63477f93791e6bdc09657df5ba59377379227c106b
DIST botocore-1.24.29.tar.gz 8857387 BLAKE2B b873c369a6a9fe2d44124385f618f1caac2986cdbad2ea53cf9ce481692431ff389de44b055b0128eefbd1e26d8cf205d49cfb22decfa11bf6cba8c00aa5df3f SHA512 dcc836ebe25a510aa13f4ba54be99c0d2d086e6a54d446bd303ecd13f3528f004be92ff6408690ebda84b8c13f83ef19cc4026422c2ad15e3c32abfdbf923e9d
DIST botocore-1.24.30.tar.gz 8860517 BLAKE2B dcdfdd59482a071a2dc7c2250c303abab6840ac9d90a9f3e4183e8137dbf34b37941e9e471dc5795e3eb67cff356dce08dba5fad02bf54ff1628ca6f247a04be SHA512 69ff9f6f777052e3c8aeb7b92cc75d1aa90b88bb5256bcbcae6e4a5d6d41783ea205a58c99a59627ecd720cdfa23caf315c48c792218937d91e6699791e75548
+DIST botocore-1.24.31.tar.gz 8884591 BLAKE2B 596c0df9e5331cf81472c93f436caed79eb15da5770b11fb972d2f522308c02a2e2906d2d0de6bb2d79da0c7726a0e390fc0ff7aa043804031c99576e211c9e6 SHA512 cbae4220e8899189dc6e09facdf0576c9ac781aa892f8d1537ef7b4f56ba12794d073e65ecb503ab469c63a035c1675d8524f7f37f6538591ce183785533d6c9
DIST botocore-1.24.8.tar.gz 8798121 BLAKE2B 4ca37ed7be0af62901bf154f75739cc7e07505a809e551884c72d5b5eed334fff1111fc6db016df522564a1f3d9b6f258e8eca96161a734711340bf880b553b5 SHA512 6ac2139694ab199313a0fb9a2f783b12de7f3915d10cba739f4758356a3b84a917c3c394954b6d82d7a62de907c6fe57a3559e2b9a625bb0479e7bacd31d21cc
diff --git a/dev-python/botocore/botocore-1.24.31.ebuild b/dev-python/botocore/botocore-1.24.31.ebuild
new file mode 100644
index 000000000000..5fe8ae8c2f96
--- /dev/null
+++ b/dev-python/botocore/botocore-1.24.31.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
diff --git a/dev-python/click/Manifest b/dev-python/click/Manifest
index c84a740d1828..cb0bcdbd3f9f 100644
--- a/dev-python/click/Manifest
+++ b/dev-python/click/Manifest
@@ -2,3 +2,4 @@ DIST click-7.1.2.tar.gz 295757 BLAKE2B aea76d5378cfa49fe58a83132737d609d48b3d3a7
DIST click-8.0.4.tar.gz 332977 BLAKE2B 71366fa8436fb6997675ecb84d98f43b40a646466f0f9f7a51f145bd6a41950836df30a545e50ab6166f3643766c994f5a636b9a2b6e0a700eec04d377aced25 SHA512 2a572863814ef4f79ee408d4aa8df30a15b958986c4615e13bdeab30b4847679330e1b3baeeeff1aa80464a08418400c7a1ff22f29db4fc8d8042ab7b1ba475c
DIST click-8.1.0.tar.gz 333449 BLAKE2B c0f5dfb245c5c8a71e9aa5200393d021f4e77ae73fa9a8cdef4abc35546d2ff0b7b1322776002dc28b37e8311141fc3db8a39b5cfbb8947781326b6417494563 SHA512 7d9fcd74392baa55e0fd9050e7382d4b8b542856d4fee79ec5a4d6185ddeb47abaed1de6771e30aaec6cee5cff7166dd8ab7fefbc6aefa1856adc58b9fecc0c7
DIST click-8.1.1.tar.gz 333663 BLAKE2B c7b0de884c3ea5365d3227f5a4e81a41531dfa100705b203745bed15826cc7e9ace112c959ab5f4eabac510623d83ceeedf6ea36a40aaf8f997cbb6b3ba1abfb SHA512 b553d140f1425001575d7584367bd90cea6d20760b4a811efb0fb164f0d62d631f54514b033ceb1130d510f35cfb330f4af6d93d1e70dd1ea929b878304b9140
+DIST click-8.1.2.gh.tar.gz 333755 BLAKE2B cf579db101e296a0626445e0823d8c72bc6cd40f0ec667c3179465050d0aa7d7a94ed1416d583f7c9afde8e5ea41738c26b000f87c95074a9d93837c039d687a SHA512 8781965212a0732990e47050db8ae5e37633986b23cd7895d74f06007c61993f8ea45183376761987931caf00dd68c22900bc8d3930d4416853374cfd170a0e5
diff --git a/dev-python/click/click-8.1.2.ebuild b/dev-python/click/click-8.1.2.ebuild
new file mode 100644
index 000000000000..36a359870730
--- /dev/null
+++ b/dev-python/click/click-8.1.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python package for creating beautiful command line interfaces"
+HOMEPAGE="
+ https://palletsprojects.com/p/click/
+ https://pypi.org/project/click/
+"
+SRC_URI="
+ https://github.com/pallets/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="examples"
+
+distutils_enable_sphinx docs \
+ '>=dev-python/docutils-0.14' \
+ dev-python/pallets-sphinx-themes \
+ dev-python/sphinxcontrib-log_cabinet \
+ dev-python/sphinx-issues
+distutils_enable_tests pytest
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/coverage/coverage-6.3.2-r1.ebuild b/dev-python/coverage/coverage-6.3.2-r1.ebuild
index 1cee77861ebd..fe8da0cd283f 100644
--- a/dev-python/coverage/coverage-6.3.2-r1.ebuild
+++ b/dev-python/coverage/coverage-6.3.2-r1.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
BDEPEND="
test? (
diff --git a/dev-python/diskcache/diskcache-5.4.0-r1.ebuild b/dev-python/diskcache/diskcache-5.4.0-r1.ebuild
index 4cf43bfe6010..db6746c98d59 100644
--- a/dev-python/diskcache/diskcache-5.4.0-r1.ebuild
+++ b/dev-python/diskcache/diskcache-5.4.0-r1.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}/python-diskcache-${PV}
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
BDEPEND="
test? (
diff --git a/dev-python/diskcache/diskcache-5.4.0.ebuild b/dev-python/diskcache/diskcache-5.4.0.ebuild
deleted file mode 100644
index f6da051737e3..000000000000
--- a/dev-python/diskcache/diskcache-5.4.0.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-PYTHON_REQ_USE="sqlite"
-
-inherit distutils-r1
-
-HOMEPAGE="http://www.grantjenks.com/docs/diskcache/
- https://github.com/grantjenks/python-diskcache/"
-DESCRIPTION="Disk and file backed cache"
-SRC_URI="
- https://github.com/grantjenks/python-diskcache/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz"
-S=${WORKDIR}/python-diskcache-${PV}
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
-
-BDEPEND="
- test? (
- >=dev-python/django-3.2[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_sphinx docs
-distutils_enable_tests pytest
-
-src_prepare() {
- # remove dep on pytest-xdist and pytest-cov
- sed -i -e '/-n auto/d' -e '/--cov/d' tox.ini || die
-
- distutils-r1_src_prepare
-}
diff --git a/dev-python/flask-wtf/Manifest b/dev-python/flask-wtf/Manifest
index 8a1e38521cee..0bec0bb2623e 100644
--- a/dev-python/flask-wtf/Manifest
+++ b/dev-python/flask-wtf/Manifest
@@ -1 +1,2 @@
DIST Flask-WTF-1.0.0.tar.gz 45365 BLAKE2B 13568ed3cbf7666c2c04663ec66c788d3cd4aa4fc7abc32938dfa703e7f120784c9491dc0ffe77fc42485c943b25f166b6540fa0f3de1d77df8a015300e1e468 SHA512 4b47e3586e3fb34f2ef964fb2a84d25c8279d4ce98e2064655e5ecb5f8fd67e4637ffd81b171e4623e2cd943e5abbcb6f5980ea8a354c2745d65c64161c0fd60
+DIST Flask-WTF-1.0.1.tar.gz 45721 BLAKE2B 9b38aaa9e83c8d08abed46343ee8a4e16a87aa0389307ce17bd44fed0996405f9de233572f3d7e6f91edb87c2233574183944bdb3458a6ee9f6da154a5e30bae SHA512 e1380e788d0b09ac84e158a6574883a2c061452595973bea8137f9c2789b8ed14bfc6816a571b9116643c36ed31e97ae9ad7fb0fa6c1638e5be142a6fc8d85f4
diff --git a/dev-python/flask-wtf/flask-wtf-1.0.1.ebuild b/dev-python/flask-wtf/flask-wtf-1.0.1.ebuild
new file mode 100644
index 000000000000..b7b16b729391
--- /dev/null
+++ b/dev-python/flask-wtf/flask-wtf-1.0.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+MY_PN="Flask-WTF"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Simple integration of Flask and WTForms"
+HOMEPAGE="https://pythonhosted.org/Flask-WTF/ https://pypi.org/project/Flask-WTF/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/Babel-1[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-babel[${PYTHON_USEDEP}]
+ dev-python/itsdangerous[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ >=dev-python/wtforms-1.0.5[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs \
+ dev-python/pallets-sphinx-themes \
+ dev-python/sphinxcontrib-log_cabinet \
+ dev-python/sphinx-issues
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # tries to access things over the network
+ tests/test_recaptcha.py
+ # unpackaged Flask-Uploads
+ tests/test_file.py
+)
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 3d6c3e1691f0..974d65100566 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1 +1,2 @@
DIST filesystem_spec-2022.02.0.tar.gz 329625 BLAKE2B c3d3815ece4cc3a0713d2ee6fd70c55a3236c926dd389dd55866bd6a11c63e6225cd4415dd310876b8e271bf82534826452a3327693f94bd8c8b5b7aa7893222 SHA512 6cc26cb61c75fea4ab7af37190a623a4fa07d85ff540accc4d85e8ebab5f6bcc78099e85a6196f93c9d7f4e0e0380395ad2625b485858fb8db40f7c2682f8c4d
+DIST filesystem_spec-2022.3.0.tar.gz 331768 BLAKE2B 8f4e75f839419f7445a9291e3b67914338b0371742f1d3a556962b6e5abb31379cfeba52e0101f7660fd69569dabb49190820323b7e067a0c33c2184422ba067 SHA512 7c793b506e93f727bc4533a778f6108f82c9ab9274a8d259ecf483e0acbbfc97e3c8b07735f772f996867053d7e1f9c22687865f4f64cae6eb4fb511de2e9220
diff --git a/dev-python/fsspec/fsspec-2022.3.0.ebuild b/dev-python/fsspec/fsspec-2022.3.0.ebuild
new file mode 100644
index 000000000000..708c9421b3c9
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2022.3.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="https://github.com/fsspec/filesystem_spec/
+ https://pypi.org/project/fsspec/"
+SRC_URI="
+ https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ dev-python/versioneer[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+EPYTEST_DESELECT=(
+ fsspec/tests/test_spec.py::test_find
+)
+
+EPYTEST_IGNORE=(
+ # sftp and smb require server started via docker
+ fsspec/implementations/tests/test_dbfs.py
+ fsspec/implementations/tests/test_sftp.py
+ fsspec/implementations/tests/test_smb.py
+)
diff --git a/dev-python/gst-python/gst-python-1.18.6.ebuild b/dev-python/gst-python/gst-python-1.18.6.ebuild
index 80303f0aa02f..208d38255d2b 100644
--- a/dev-python/gst-python/gst-python-1.18.6.ebuild
+++ b/dev-python/gst-python/gst-python-1.18.6.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://gstreamer.freedesktop.org/src/${PN}/${P}.tar.xz"
LICENSE="LGPL-2+"
SLOT="1.0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="${PYTHON_DEPS}
diff --git a/dev-python/httpx/httpx-0.22.0-r1.ebuild b/dev-python/httpx/httpx-0.22.0-r2.ebuild
index df1d45abc75a..bca940a7de5c 100644
--- a/dev-python/httpx/httpx-0.22.0-r1.ebuild
+++ b/dev-python/httpx/httpx-0.22.0-r2.ebuild
@@ -33,7 +33,7 @@ RDEPEND="
cli? (
=dev-python/click-8*[${PYTHON_USEDEP}]
=dev-python/pygments-2*[${PYTHON_USEDEP}]
- <dev-python/rich-12[${PYTHON_USEDEP}]
+ <dev-python/rich-13[${PYTHON_USEDEP}]
)
"
BDEPEND="
@@ -54,7 +54,7 @@ BDEPEND="
distutils_enable_tests pytest
src_prepare() {
- sed -i -e '/rich/s:==10[.][*]:<12:' setup.py || die
+ sed -i -e '/rich/s:==10[.][*]:<13:' setup.py || die
if ! use cli; then
sed -i -e '/console_scripts/d' setup.py || die
fi
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 1ffacd52fb51..db0e900897b9 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -4,3 +4,4 @@ DIST hypothesis-python-6.39.4.tar.gz 9182794 BLAKE2B 16c1867e2ea4dc08d6bb31aee14
DIST hypothesis-python-6.39.5.tar.gz 9182972 BLAKE2B ecd92b759f574d2abed5310815c603adb2585e9a724532feea2fe1818c1693eabd3523ecda57c42b5e714684c53e80bce437156b49a7a23e5d0a87ef103d367f SHA512 da6ebb225a58b177870f9848ad44eb71af6c9a502ffa104ba023a24139b427b647c33b622063bd1c6050b5922c5a17ef0cbcff64dc85e5a9379b9503738dabd8
DIST hypothesis-python-6.39.6.tar.gz 9183382 BLAKE2B c1112dc11d9129c7685eccac563232c978fcb470b0537e468b802ecf1f758af8dfce323514f923605662e720d0d54f525e5aac3e871407255f5f0732856748fe SHA512 985645265e9644bd2731a08ab942984fae5cb35e04e27e60450bfcf237c375dae1f2d3bf3694031a452866669ae2e19a05085ce9e35630965938c066b265595a
DIST hypothesis-python-6.40.0.tar.gz 9184563 BLAKE2B 7087baa8eed9849e639bc1d67e77a3426702e64e31252e893a19efb1457dd3c9994ed7459084b9c88f3574b89268369ee63bc1ed8dd6f0c257c0af50dc5a3eb1 SHA512 51b062b934c90137cb55fea58c639ebdbfdae21d0af8bf951add83b36c1286f959de47442219174fe80d0a98ffbe0c53cb9cd1b3908b63742c5d7662c84518e0
+DIST hypothesis-python-6.40.1.tar.gz 9184638 BLAKE2B bc1900b5328514f1f1f5753d9370229a30108e626400fa93aebcb43d33caa6301108b277ccd8356ef944f2d54387444f67efa4e041f553e40f889b233be03ed8 SHA512 9ae09a8a337fb2d4a94b83ecc02dc5c62759ca9c9043bdd2326084413ff3106c52a654c2c7a99b22fcef28909387ef0450207d0883cf15303c84f3a7f42987d9
diff --git a/dev-python/hypothesis/hypothesis-6.40.1.ebuild b/dev-python/hypothesis/hypothesis-6.40.1.ebuild
new file mode 100644
index 000000000000..f202efbaaf69
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.40.1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{8..10})
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" python3.{8..10}; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/ini2toml/ini2toml-0.10.ebuild b/dev-python/ini2toml/ini2toml-0.10.ebuild
index d0e165d7fe13..44c3d7d7605b 100644
--- a/dev-python/ini2toml/ini2toml-0.10.ebuild
+++ b/dev-python/ini2toml/ini2toml-0.10.ebuild
@@ -30,6 +30,7 @@ BDEPEND="
dev-python/setuptools_scm[${PYTHON_USEDEP}]
test? (
dev-python/tomli[${PYTHON_USEDEP}]
+ dev-python/tomlkit[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/ipykernel/Manifest b/dev-python/ipykernel/Manifest
index 6e964858b420..370b744cc95d 100644
--- a/dev-python/ipykernel/Manifest
+++ b/dev-python/ipykernel/Manifest
@@ -1,4 +1,3 @@
DIST ipykernel-6.10.0.tar.gz 129057 BLAKE2B e50fd0b5d041236002d29360eb670e5bcf97ad6e0eff091e62a4189567d14832b6fa95915bbd29818b897430fa3f37b930c54155a407cc46d7a9607aa19caf2b SHA512 9f2c9e24244e5c3aafbfd2da6a131cbf19abfeb8164e6a64c69aa4b65dad92101137482c71f53eb5d8395944d6714938a73556e5dbfc8a6c92303c716d6244b5
-DIST ipykernel-6.6.1.tar.gz 123915 BLAKE2B 136a3acdea6790d4666c3f5b0d040a91be405ff35e510456d920d0d2d2fb4f4076eb8e74089d08c42f0eba50caa48da929c1a684ad414919a67748f13d6fdf78 SHA512 bfe37f3d69c9b05f9bbbdec7f2103c353433b402474507a9d17c02f224e3a80eaea010b5a8bcebfd4410fbba661feae74107a4904c0af7835c6c1aa6bd0c1159
-DIST ipykernel-6.9.1.tar.gz 127244 BLAKE2B 13f3860f4d565bb4b362841bdcdd81ed5e3284ca6b4750c491cf5895d09fa1a1671acc8529066355cf2f549f89099dfaf8024281ab445b5db0e5ae52062c36d4 SHA512 5c977b01068153762817a372a20e8f3c7055f1cca16d4a4a03f73f4d9c5ce78597a106a4d153fd04dc601129fd8e1993d686e8ff6e299c2169a9d6f1272de58a
+DIST ipykernel-6.11.0.tar.gz 129429 BLAKE2B 746cff0b32a1282f8abe02bd339d35061ceb04d3f4d7fc325bc97b744185958ed91beaff83c19d269e0d8ec7b35c5c88412c135c1aa2dcbf770846986eddc82f SHA512 69b88e3c8b552f5277f392a004a33a5c64c2edc93aeea0d2c2d03b0d8ee649f41fc1378068c1dd8322807cce188f5579c0d92730760baeca8170a98f585f500b
DIST ipykernel-6.9.2.tar.gz 128759 BLAKE2B 74740bdbe420d14cbb75e5a1dee9bfb0894c3e10ebf029bd7ceb29eb5112489ef83bc9a2075f6dd1cf16745f893d3782ee22144edfec66d650246eaa0d97215c SHA512 a452d7a44c4e33cb2d79262916045fe3044803f20db7d525bca3277dd49e9d216d07a832312b29a5a61293ecf7863641a45e0f188136059799287c5983beb0d4
diff --git a/dev-python/ipykernel/ipykernel-6.9.1.ebuild b/dev-python/ipykernel/ipykernel-6.11.0.ebuild
index 0f6d7fd7e4a3..d23fff8dfb18 100644
--- a/dev-python/ipykernel/ipykernel-6.9.1.ebuild
+++ b/dev-python/ipykernel/ipykernel-6.11.0.ebuild
@@ -18,17 +18,15 @@ SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
- >=dev-python/debugpy-1.0.0[${PYTHON_USEDEP}]
- <dev-python/debugpy-2.0[${PYTHON_USEDEP}]
+ >=dev-python/debugpy-1.0[${PYTHON_USEDEP}]
>=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
>=dev-python/traitlets-5.1.0[${PYTHON_USEDEP}]
- <dev-python/traitlets-6.0[${PYTHON_USEDEP}]
- <dev-python/jupyter_client-8.0[${PYTHON_USEDEP}]
- >=www-servers/tornado-4.2[${PYTHON_USEDEP}]
- <www-servers/tornado-7.0[${PYTHON_USEDEP}]
- >=dev-python/matplotlib-inline-0.1.0[${PYTHON_USEDEP}]
- <dev-python/matplotlib-inline-0.2.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-6.1.12[${PYTHON_USEDEP}]
+ >=www-servers/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
dev-python/nest_asyncio[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-60[${PYTHON_USEDEP}]
"
# RDEPEND seems specifically needed in BDEPEND, at least jupyter
# bug #816486
@@ -36,14 +34,10 @@ BDEPEND="
${RDEPEND}
test? (
dev-python/flaky[${PYTHON_USEDEP}]
- dev-python/nose[${PYTHON_USEDEP}]
- dev-python/nose_warnings_filters[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
dev-python/ipyparallel[${PYTHON_USEDEP}]
- )"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-6.5.0-drop-pytest-cov.patch
-)
+ )
+"
distutils_enable_tests pytest
diff --git a/dev-python/ipykernel/ipykernel-6.6.1.ebuild b/dev-python/ipykernel/ipykernel-6.6.1.ebuild
deleted file mode 100644
index 97da751b674c..000000000000
--- a/dev-python/ipykernel/ipykernel-6.6.1.ebuild
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-PYTHON_REQ_USE="threads(+)"
-inherit distutils-r1
-
-DESCRIPTION="IPython Kernel for Jupyter"
-HOMEPAGE="https://github.com/ipython/ipykernel"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
-
-RDEPEND="
- $(python_gen_cond_dep '
- <dev-python/importlib_metadata-5.0.0[${PYTHON_USEDEP}]
- >=dev-python/argcomplete-1.12.3[${PYTHON_USEDEP}]
- ' python3_8 pypy3)
- >=dev-python/debugpy-1.0.0[${PYTHON_USEDEP}]
- <dev-python/debugpy-2.0[${PYTHON_USEDEP}]
- >=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
- >=dev-python/traitlets-5.1.0[${PYTHON_USEDEP}]
- <dev-python/traitlets-6.0[${PYTHON_USEDEP}]
- <dev-python/jupyter_client-8.0[${PYTHON_USEDEP}]
- >=www-servers/tornado-4.2[${PYTHON_USEDEP}]
- <www-servers/tornado-7.0[${PYTHON_USEDEP}]
- >=dev-python/matplotlib-inline-0.1.0[${PYTHON_USEDEP}]
- <dev-python/matplotlib-inline-0.2.0[${PYTHON_USEDEP}]
- dev-python/nest_asyncio[${PYTHON_USEDEP}]
-"
-# RDEPEND seems specifically needed in BDEPEND, at least jupyter
-# bug #816486
-BDEPEND="
- ${RDEPEND}
- test? (
- dev-python/flaky[${PYTHON_USEDEP}]
- dev-python/nose[${PYTHON_USEDEP}]
- dev-python/nose_warnings_filters[${PYTHON_USEDEP}]
- dev-python/ipyparallel[${PYTHON_USEDEP}]
- )"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-6.5.0-drop-pytest-cov.patch
-)
-
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- # TODO
- ipykernel/tests/test_debugger.py::test_attach_debug
- ipykernel/tests/test_debugger.py::test_set_breakpoints
- ipykernel/tests/test_debugger.py::test_rich_inspect_not_at_breakpoint
- ipykernel/tests/test_debugger.py::test_rich_inspect_at_breakpoint
-)
-
-src_prepare() {
- sed -i -e 's:^TIMEOUT = .*:TIMEOUT = 120:' ipykernel/tests/*.py || die
- distutils-r1_src_prepare
-}
-
-src_install() {
- distutils-r1_src_install
- # Use python3 in kernel.json configuration, bug #784764
- sed -i -e '/python3.[0-9]\+/s//python3/' \
- "${ED}"/usr/share/jupyter/kernels/python3/kernel.json || die
-}
diff --git a/dev-python/ipykernel/ipykernel-6.9.2.ebuild b/dev-python/ipykernel/ipykernel-6.9.2.ebuild
index 8503ad99c439..806cd05d3a20 100644
--- a/dev-python/ipykernel/ipykernel-6.9.2.ebuild
+++ b/dev-python/ipykernel/ipykernel-6.9.2.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
>=dev-python/debugpy-1.0.0[${PYTHON_USEDEP}]
diff --git a/dev-python/line_profiler/Manifest b/dev-python/line_profiler/Manifest
index e445e7dd332a..fd8f3b3001ee 100644
--- a/dev-python/line_profiler/Manifest
+++ b/dev-python/line_profiler/Manifest
@@ -1,3 +1,4 @@
DIST line_profiler-3.3.1.gh.tar.gz 56700 BLAKE2B 030c0fc742a6773ebb55a54a3c21d3d5e5d6d5d258a2c3cd2071ff93917411b65e100bfc6549d9c60d9a7c361c53b291d8b81538acaf5b83665c04129d25bc02 SHA512 8a3704a6df2abe71283cb2da23b738932c6f4b42aedcdefda0d318fd4b894d56831a855c4be4430657308530a04d1e96b0e15a60edca06621bdd5370c0bf9911
DIST line_profiler-3.4.0.gh.tar.gz 49076 BLAKE2B 1fa2d7462913b21b5c3d69be64492fd5002d10c6c454cb3129860e4156cf04fbbd839b140f229b586ff9f0b195baae435bc461c4bab1405c38da49bf348827c3 SHA512 79a6e71ec083aacbc95fab5e044a2a38119bced505e5b9720288e32103773dc64a8bbbf6c2c7913b7b5057420cb31c3943cc1dce2d7d029df82b6b59e451c357
DIST line_profiler-3.5.0.gh.tar.gz 51142 BLAKE2B 1dade129a8913f6fe42fcd646c1f8850b5a948bad476755dd54bf04815e293508d77b9160157623a6060a864722c81466690722b79a603bba9b7651ba3e7e25d SHA512 4c797bb9990e77a5ef8cb38113fe28c4925a631ca8f034f33fe2aeeeb77bf9b24cfc1fb6217ddec07b767a2dec325f388e402ca38da43790f58c644a4a147a75
+DIST line_profiler-3.5.1.gh.tar.gz 51241 BLAKE2B a3f3cceab9d34062a0b96ce772941bb945f96f7e88f59bb72d08a09fb96db3d9354ce33b0c0088065df5aeb7349c7da37d8697654d9f5130d8bd0b7997306d13 SHA512 4618e57e52b7d7d5ece034735a4ce38dd3a8af57e5b897790be4c8e1ee1757d822d7c1bb76d3c7248432c49c13708bffb9bebbbbf61442de98c5a6ec657cbd57
diff --git a/dev-python/line_profiler/line_profiler-3.5.1.ebuild b/dev-python/line_profiler/line_profiler-3.5.1.ebuild
new file mode 100644
index 000000000000..9af49b66fb5f
--- /dev/null
+++ b/dev-python/line_profiler/line_profiler-3.5.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+# force it to match scikit-build
+CMAKE_MAKEFILE_GENERATOR=ninja
+
+inherit cmake distutils-r1
+
+DESCRIPTION="Line-by-line profiler"
+HOMEPAGE="
+ https://github.com/pyutils/line_profiler/
+"
+SRC_URI="
+ https://github.com/pyutils/line_profiler/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/ipython[${PYTHON_USEDEP}]
+"
+# technically, the package claims to support non-scikit-build build
+# but it's clearly unmaintained and broken at the moment
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/scikit-build[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/ubelt[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ cmake_src_prepare
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ cd tests || die
+ epytest
+}
diff --git a/dev-python/lit/lit-13.0.1.ebuild b/dev-python/lit/lit-13.0.1.ebuild
index 477696528725..d09a44181877 100644
--- a/dev-python/lit/lit-13.0.1.ebuild
+++ b/dev-python/lit/lit-13.0.1.ebuild
@@ -13,7 +13,7 @@ HOMEPAGE="https://llvm.org/"
LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 arm arm64 ~ppc ppc64 ~riscv ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/mando/mando-0.7.1.ebuild b/dev-python/mando/mando-0.7.1.ebuild
index 2351aac90039..fba6cf90a16f 100644
--- a/dev-python/mando/mando-0.7.1.ebuild
+++ b/dev-python/mando/mando-0.7.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/rubik/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86"
IUSE="examples"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
diff --git a/dev-python/pdm-pep517/Manifest b/dev-python/pdm-pep517/Manifest
index 9340bb3efc45..a9a4b5ba85e5 100644
--- a/dev-python/pdm-pep517/Manifest
+++ b/dev-python/pdm-pep517/Manifest
@@ -1,6 +1 @@
-DIST pdm-pep517-0.10.0.gh.tar.gz 189457 BLAKE2B 5a51b62dbc828aec5bca6ada8c7ecb479dd7491f22251392198a3d8e183f2d3d86fd4264addd9a428c37a24041365f3eeecec0a33c3f1a39ea8a1a8e6827be91 SHA512 7eb76bdf3db99ec1cf76a467617ce15423eaa465800efa9ccb248efb3c3cb5644b8e6a9ce04d6181dc9f3b5287a167f62f25d5e3334929f3e947a62ca9633d01
-DIST pdm-pep517-0.10.1.gh.tar.gz 189525 BLAKE2B 10d80fee2ac45fd68c61baf9a8ee7365da19a5daa085fdecd3164b3271cf0c0ee8ad110b1f96a33a4eecdceace72c2d4ee1ce789331c208eb4a67e3b4e3fe56a SHA512 acdf36eeb2baf90c1c80b676901ac06946fbb32f2a5c2bfbdfd85d0889ae22a0851dede4f5898d109d20583504b311cbec6903deadfb77e3f1dd7ff6a1098e04
-DIST pdm-pep517-0.10.2.gh.tar.gz 189817 BLAKE2B 47e773ac38197d898c50821d272c155d6749952bcce1492416291c02fa370965ca438e68268a56b8366b18f8a786883c9101e4dc325c9d4741f6cc509862d823 SHA512 6cdbd2cd96a784317356f4c5c52697279b720de03e7059c287872725baa10333b2f352e9a1c5ace727907bd6179cd879fcb4f6770eae1dd23294bf1b60cc233b
-DIST pdm-pep517-0.11.0.gh.tar.gz 211783 BLAKE2B 10a112a29ce8cef047d5dea79169fbc590a953e201da5fb3cde631dfc0b0a4ebdbe6e82e28971773db4b913d6b6ab468eb611564f59137beb3df4bd961decbc1 SHA512 71a12512660f85af2a50133f67cb0dc15a2d848d6500fe7dbc9e63ea0e7b916cb00a6c392abc8eb7383db81b1f46b53779a0befbeee4d6831d2586d65be1676c
-DIST pdm-pep517-0.11.2.gh.tar.gz 211796 BLAKE2B d1f6ea59a4a8d1188bc19c857d3fd9cb93bbb27e905bce5eb40454a1062c2086233a282119e4b8eee4264a885f58317ce7e1e9c78d588f9612240e220bc4fc07 SHA512 36b75526da84541a21672755ecb9b6ddede46d062e4db60b9b89acaa4febb59c4b0378f402095b678c9f902acce39e4649bbf2539ff6a8f9b3a33e284f84fb16
DIST pdm-pep517-0.12.1.gh.tar.gz 303954 BLAKE2B 65344c2571264b9fadcffcf5ae05f42246912dce3e7029a1ea5e91df72f1c9425d603024099146cb7d9ed95d8e3ab0fcf5058ab35346893e28d3595d430548f6 SHA512 a7c27c685eec274798b5d9fa7fd3d7ec7ca77d204110c7c9962a53b1522c4c6dbc56d7413ce5ff6fe8e8f091b0d4e4914b9e3296dc226bcae9f5fbc2cb28444e
diff --git a/dev-python/pdm-pep517/pdm-pep517-0.10.0.ebuild b/dev-python/pdm-pep517/pdm-pep517-0.10.0.ebuild
deleted file mode 100644
index 760ec79548bd..000000000000
--- a/dev-python/pdm-pep517/pdm-pep517-0.10.0.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
-HOMEPAGE="
- https://pypi.org/project/pdm-pep517/
- https://github.com/pdm-project/pdm-pep517/
-"
-SRC_URI="
- https://github.com/pdm-project/pdm-pep517/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-# setuptools are used to build C extensions
-RDEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-vcs/git
- )
-"
-
-distutils_enable_tests pytest
-
-src_test() {
- git config --global user.email "test@example.com" || die
- git config --global user.name "Test User" || die
- distutils-r1_src_test
-}
-
-python_test() {
- local EPYTEST_DESELECT=()
- if [[ ${EPYTHON} == pypy3 ]]; then
- EPYTEST_DESELECT+=(
- tests/test_wheel.py::test_override_tags_in_wheel_filename
- )
- fi
- epytest
-}
diff --git a/dev-python/pdm-pep517/pdm-pep517-0.10.1-r1.ebuild b/dev-python/pdm-pep517/pdm-pep517-0.10.1-r1.ebuild
deleted file mode 100644
index ee1532292e03..000000000000
--- a/dev-python/pdm-pep517/pdm-pep517-0.10.1-r1.ebuild
+++ /dev/null
@@ -1,65 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
-HOMEPAGE="
- https://pypi.org/project/pdm-pep517/
- https://github.com/pdm-project/pdm-pep517/
-"
-SRC_URI="
- https://github.com/pdm-project/pdm-pep517/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- >=dev-python/cerberus-1.3.4[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
- >=dev-python/toml-0.10.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- dev-vcs/git
- )
-"
-# setuptools are used to build C extensions
-RDEPEND+="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- rm -r pdm/pep517/_vendor || die
- find -name '*.py' -exec sed \
- -e 's:from pdm\.pep517\._vendor\.:from :' \
- -e 's:from pdm\.pep517\._vendor ::' \
- -i {} + || die
- distutils-r1_src_prepare
-}
-
-src_test() {
- git config --global user.email "test@example.com" || die
- git config --global user.name "Test User" || die
- distutils-r1_src_test
-}
-
-python_test() {
- local EPYTEST_DESELECT=()
- if [[ ${EPYTHON} == pypy3 ]]; then
- EPYTEST_DESELECT+=(
- tests/test_wheel.py::test_override_tags_in_wheel_filename
- )
- fi
- epytest
-}
diff --git a/dev-python/pdm-pep517/pdm-pep517-0.10.1.ebuild b/dev-python/pdm-pep517/pdm-pep517-0.10.1.ebuild
deleted file mode 100644
index 760ec79548bd..000000000000
--- a/dev-python/pdm-pep517/pdm-pep517-0.10.1.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
-HOMEPAGE="
- https://pypi.org/project/pdm-pep517/
- https://github.com/pdm-project/pdm-pep517/
-"
-SRC_URI="
- https://github.com/pdm-project/pdm-pep517/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-# setuptools are used to build C extensions
-RDEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-vcs/git
- )
-"
-
-distutils_enable_tests pytest
-
-src_test() {
- git config --global user.email "test@example.com" || die
- git config --global user.name "Test User" || die
- distutils-r1_src_test
-}
-
-python_test() {
- local EPYTEST_DESELECT=()
- if [[ ${EPYTHON} == pypy3 ]]; then
- EPYTEST_DESELECT+=(
- tests/test_wheel.py::test_override_tags_in_wheel_filename
- )
- fi
- epytest
-}
diff --git a/dev-python/pdm-pep517/pdm-pep517-0.10.2.ebuild b/dev-python/pdm-pep517/pdm-pep517-0.10.2.ebuild
deleted file mode 100644
index c9e766cf43a2..000000000000
--- a/dev-python/pdm-pep517/pdm-pep517-0.10.2.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
-HOMEPAGE="
- https://pypi.org/project/pdm-pep517/
- https://github.com/pdm-project/pdm-pep517/
-"
-SRC_URI="
- https://github.com/pdm-project/pdm-pep517/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- >=dev-python/cerberus-1.3.4[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
- >=dev-python/toml-0.10.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- dev-vcs/git
- )
-"
-# setuptools are used to build C extensions
-RDEPEND+="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- rm -r pdm/pep517/_vendor || die
- find -name '*.py' -exec sed \
- -e 's:from pdm\.pep517\._vendor\.:from :' \
- -e 's:from pdm\.pep517\._vendor ::' \
- -i {} + || die
- distutils-r1_src_prepare
-}
-
-src_test() {
- git config --global user.email "test@example.com" || die
- git config --global user.name "Test User" || die
- distutils-r1_src_test
-}
diff --git a/dev-python/pdm-pep517/pdm-pep517-0.11.0.ebuild b/dev-python/pdm-pep517/pdm-pep517-0.11.0.ebuild
deleted file mode 100644
index 5c6c4eafa6d8..000000000000
--- a/dev-python/pdm-pep517/pdm-pep517-0.11.0.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
-HOMEPAGE="
- https://pypi.org/project/pdm-pep517/
- https://github.com/pdm-project/pdm-pep517/
-"
-SRC_URI="
- https://github.com/pdm-project/pdm-pep517/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- >=dev-python/cerberus-1.3.4[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
- >=dev-python/tomli-2[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- dev-vcs/git
- )
-"
-# setuptools are used to build C extensions
-RDEPEND+="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- rm -r pdm/pep517/_vendor || die
- find -name '*.py' -exec sed \
- -e 's:from pdm\.pep517\._vendor\.:from :' \
- -e 's:from pdm\.pep517\._vendor ::' \
- -i {} + || die
- distutils-r1_src_prepare
-}
-
-src_test() {
- git config --global user.email "test@example.com" || die
- git config --global user.name "Test User" || die
- distutils-r1_src_test
-}
diff --git a/dev-python/pdm-pep517/pdm-pep517-0.11.2.ebuild b/dev-python/pdm-pep517/pdm-pep517-0.11.2.ebuild
deleted file mode 100644
index 098bd0c0bb9d..000000000000
--- a/dev-python/pdm-pep517/pdm-pep517-0.11.2.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=standalone
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
-HOMEPAGE="
- https://pypi.org/project/pdm-pep517/
- https://github.com/pdm-project/pdm-pep517/
-"
-SRC_URI="
- https://github.com/pdm-project/pdm-pep517/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- >=dev-python/cerberus-1.3.4[${PYTHON_USEDEP}]
- >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
- >=dev-python/tomli-2[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- dev-vcs/git
- )
-"
-# setuptools are used to build C extensions
-RDEPEND+="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- rm -r pdm/pep517/_vendor || die
- find -name '*.py' -exec sed \
- -e 's:from pdm\.pep517\._vendor\.:from :' \
- -e 's:from pdm\.pep517\._vendor ::' \
- -i {} + || die
- distutils-r1_src_prepare
-}
-
-src_test() {
- git config --global user.email "test@example.com" || die
- git config --global user.name "Test User" || die
- distutils-r1_src_test
-}
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index e370ac89b2b5..348e5767290e 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1 +1,2 @@
DIST python-phonenumbers-8.12.45.gh.tar.gz 4898103 BLAKE2B e1102bd6f0911a7d1098fbe020f71b8ffb1020ff0acecc2f58383ecb538ba09b9fcbc3febd09ca8863093a6a017c74a9e834bea50c44c9b87bf775a4057825d4 SHA512 539170a363541a7bbf04d3448786d4ab4da2928eedef3d02ce0ba075e5b7c43a36d0e7071ad764026bac01e445da340756e6ef8cf484e39ea4f9d8e8897c6fa5
+DIST python-phonenumbers-8.12.46.gh.tar.gz 4898411 BLAKE2B f776e98f6cfb8178d7a87a5aa694eb19d997ad98ddc7edb4f01ef268189773a198d2a98568d2bdb8eea56115187dbeea610da9c59193ec6930430fdf76f7bb7c SHA512 0a73fd1577de51be86bd01893c97de0f0e1c555d85f3827367d5afee96c88b7c2187b2ae65a433e0a381835c0abd4e7af1aab27a24bdd0e0b973c812a9e77e7d
diff --git a/dev-python/phonenumbers/phonenumbers-8.12.46.ebuild b/dev-python/phonenumbers/phonenumbers-8.12.46.ebuild
new file mode 100644
index 000000000000..ec95c5a695a3
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-8.12.46.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+ https://github.com/daviddrysdale/python-phonenumbers/
+ https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+ https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+ "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/protobuf-python/protobuf-python-3.19.3.ebuild b/dev-python/protobuf-python/protobuf-python-3.19.3.ebuild
index 951bd78af70b..4c816e2377e5 100644
--- a/dev-python/protobuf-python/protobuf-python-3.19.3.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-3.19.3.ebuild
@@ -23,7 +23,7 @@ fi
LICENSE="BSD"
SLOT="0/30"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE=""
BDEPEND="${PYTHON_DEPS}
diff --git a/dev-python/psutil/psutil-5.9.0.ebuild b/dev-python/psutil/psutil-5.9.0.ebuild
index 3378d8543261..a098ee5e81c8 100644
--- a/dev-python/psutil/psutil-5.9.0.ebuild
+++ b/dev-python/psutil/psutil-5.9.0.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pybind11/pybind11-2.9.2.ebuild b/dev-python/pybind11/pybind11-2.9.2.ebuild
index 5ecbbf343174..981dc47afbc7 100644
--- a/dev-python/pybind11/pybind11-2.9.2.ebuild
+++ b/dev-python/pybind11/pybind11-2.9.2.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/pybind/pybind11/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
RDEPEND="
dev-cpp/eigen:3
diff --git a/dev-python/pyopengl/pyopengl-3.1.6.ebuild b/dev-python/pyopengl/pyopengl-3.1.6.ebuild
index 224017a6e352..61ec2706c4c5 100644
--- a/dev-python/pyopengl/pyopengl-3.1.6.ebuild
+++ b/dev-python/pyopengl/pyopengl-3.1.6.ebuild
@@ -19,7 +19,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~sparc x86 ~amd64-linux ~x86-linux"
IUSE="tk"
RDEPEND="
diff --git a/dev-python/pypugjs/Manifest b/dev-python/pypugjs/Manifest
index 6a11d910da85..2c3cdd732ce8 100644
--- a/dev-python/pypugjs/Manifest
+++ b/dev-python/pypugjs/Manifest
@@ -1,2 +1,3 @@
DIST pypugjs-5.9.10.tar.gz 48890 BLAKE2B 474a7d4bffaac17e282d7cd910cafc58d9d25d2d1250159cafe454e6a706eaaa9937c31129061c96b8a1f5eb008344e446ea3d86d0e9f02cefc614653ce6cdfe SHA512 f7bfe3567c40f485e048710c31d40ed008a85353f48169056a6f5e48907bf7999b0142b32b45ff413e08aef81811039af9384c86c259adb4d8458cbca422eefb
+DIST pypugjs-5.9.11.tar.gz 51440 BLAKE2B 19aa91fadb1bcfe871420001429ac17559e136015649b94d2a0ec4b80fffa5dcbed672ac036f8865623acdf51b6188bf195a9a27b55612cf7f1c8285fd8d4a68 SHA512 512f5e0296166e73fc12fff816acf35729173a0d275661df36e536ea9a86300f2eea01440d028fa6faeab0d7bfe6e634acab22ed89d97558eec948d3726197c6
DIST pypugjs-5.9.9.tar.gz 49022 BLAKE2B 26bdad4bd951eb8e515a0c181a56f68a8fdf8131dbd9e61c32c266bd91575143006f3cb6c2f477a2406110b22ed279a1167821a1b1f403a73bb333013173db2a SHA512 f34fab60e4f9d0680a36e5d2a28c5f99668c13b296a1bb70778dced235d223c592d49adbadc2f70b1a7e350f28a2f29dbce8febe2b8e99d60a0e050254180c71
diff --git a/dev-python/pypugjs/pypugjs-5.9.11.ebuild b/dev-python/pypugjs/pypugjs-5.9.11.ebuild
new file mode 100644
index 000000000000..349dafc4e770
--- /dev/null
+++ b/dev-python/pypugjs/pypugjs-5.9.11.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Pug (Jade) syntax adapter for Django, Jinja2 and Mako templates"
+HOMEPAGE="https://github.com/kakulukia/pypugjs"
+SRC_URI="https://github.com/kakulukia/pypugjs/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/six-1.15.0[${PYTHON_USEDEP}]
+ >=dev-python/chardet-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/django[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.1.1[${PYTHON_USEDEP}]
+ >=dev-python/mako-1.1.3[${PYTHON_USEDEP}]
+ >=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests nose
+
+src_prepare() {
+ # Remove pyramid backend as pyramid isn't packaged
+ rm -r pypugjs/ext/pyramid || die
+ distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+ optfeature "converting to Django output" dev-python/django
+ optfeature "converting to Jinja2 output" dev-python/jinja
+ optfeature "converting to Mako output" dev-python/mako
+ optfeature "converting to Tornado output" www-servers/tornado
+}
diff --git a/dev-python/pypy3-exe-bin/pypy3-exe-bin-7.3.8.ebuild b/dev-python/pypy3-exe-bin/pypy3-exe-bin-7.3.8.ebuild
index 55fc0fde46ee..8372d9306079 100644
--- a/dev-python/pypy3-exe-bin/pypy3-exe-bin-7.3.8.ebuild
+++ b/dev-python/pypy3-exe-bin/pypy3-exe-bin-7.3.8.ebuild
@@ -21,7 +21,7 @@ S="${WORKDIR}"
LICENSE="MIT"
SLOT="3.9-${PV%_p*}"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
RDEPEND=">=sys-libs/zlib-1.1.3:0/1
|| (
diff --git a/dev-python/pytest-markdown/pytest-markdown-1.0.2.ebuild b/dev-python/pytest-markdown/pytest-markdown-1.0.2.ebuild
index a6a55f80e638..c8eaa32f963f 100644
--- a/dev-python/pytest-markdown/pytest-markdown-1.0.2.ebuild
+++ b/dev-python/pytest-markdown/pytest-markdown-1.0.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~riscv"
RDEPEND=">=dev-python/commonmark-0.9.1[${PYTHON_USEDEP}]
>=dev-python/pytest-6.0.0[${PYTHON_USEDEP}]"
diff --git a/dev-python/pytest-plus/pytest-plus-0.2.ebuild b/dev-python/pytest-plus/pytest-plus-0.2.ebuild
index 17d47063c4ef..24819e23ecaa 100644
--- a/dev-python/pytest-plus/pytest-plus-0.2.ebuild
+++ b/dev-python/pytest-plus/pytest-plus-0.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~riscv"
RDEPEND="dev-python/more-itertools[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]"
diff --git a/dev-python/python-dbusmock/Manifest b/dev-python/python-dbusmock/Manifest
index bb8c17b5ee23..fa11aad80ab4 100644
--- a/dev-python/python-dbusmock/Manifest
+++ b/dev-python/python-dbusmock/Manifest
@@ -1,3 +1,2 @@
-DIST python-dbusmock-0.25.0.tar.gz 86674 BLAKE2B 9a9f5aefece0f48725f8a453d298fde78e86c86901f5dd3c67032be41cbc52753b8b0da8e8ba3845772e68ba6dcf0938af405f961fc5425808017dd8b30e1419 SHA512 5d7c2f4ea75c7a0f2c6bf63b673c180f3a468239082e0248778441d8f07b78fa3786c1d37498f758954a4727bdb24dc83ffc0671bfc4b2956402aee52c363045
DIST python-dbusmock-0.26.1.tar.gz 87707 BLAKE2B 9f4761ab5f227e78dd5343f3ddd4b83d0494e77d3b381f719890447998baab8096b3bf817259b080dda78619f8407ad532044cb60aaf7a5280459f423754df0f SHA512 dcb46f6dbd17471e2135c0d8fb63cbaecbc9445ae7bf74691abb03b93d5283ab41ea71071ece03870aaac19eaedd546f01c0839116421047f1ac77619f2c73f3
DIST python-dbusmock-0.27.0.tar.gz 89469 BLAKE2B b6fcdb5ded2b4f50d4c3edafecf028df57c3aae6e2a1e87d78c41f879f495d06ab097be0996b7b1781aebd4235a5ce7c6b58f48f5c74e2d4c2b49a3439ce9cae SHA512 4f3a7326b27d7b86d9a77019c419209077021a88994b8e5ae302686fcaa8b7c7736644ab26d9e3b5a2157634eb56a0b2dbe304a092d93104c94a13a43d53b5a1
diff --git a/dev-python/python-dbusmock/python-dbusmock-0.25.0.ebuild b/dev-python/python-dbusmock/python-dbusmock-0.25.0.ebuild
deleted file mode 100644
index bc0b335fe8da..000000000000
--- a/dev-python/python-dbusmock/python-dbusmock-0.25.0.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-PYTHON_REQ_USE="xml(+)"
-
-inherit distutils-r1
-
-DESCRIPTION="Easily create mock objects on D-Bus for software testing"
-HOMEPAGE="https://github.com/martinpitt/python-dbusmock"
-SRC_URI="
- https://github.com/martinpitt/python-dbusmock/releases/download/${PV}/${P}.tar.gz"
-
-LICENSE="LGPL-3+"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
-
-RDEPEND="
- dev-python/dbus-python[${PYTHON_USEDEP}]
- dev-python/pygobject:3[${PYTHON_USEDEP}]"
-
-distutils_enable_tests unittest
-
-src_prepare() {
- # needed for unittest discovery
- > tests/__init__.py || die
- # linter tests, fragile to newer linter versions
- rm tests/test_code.py || die
-
- distutils-r1_src_prepare
-}
diff --git a/dev-python/python-dbusmock/python-dbusmock-0.26.1.ebuild b/dev-python/python-dbusmock/python-dbusmock-0.26.1.ebuild
index 5f76b17147fd..95ce308573ca 100644
--- a/dev-python/python-dbusmock/python-dbusmock-0.26.1.ebuild
+++ b/dev-python/python-dbusmock/python-dbusmock-0.26.1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="
LICENSE="LGPL-3+"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
RDEPEND="
dev-python/dbus-python[${PYTHON_USEDEP}]
diff --git a/dev-python/python-systemd/python-systemd-234-r2.ebuild b/dev-python/python-systemd/python-systemd-234-r2.ebuild
index 623013ac7da3..e4c3e359712a 100644
--- a/dev-python/python-systemd/python-systemd-234-r2.ebuild
+++ b/dev-python/python-systemd/python-systemd-234-r2.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/systemd/python-systemd/archive/v${PV}.tar.gz -> ${P}
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ppc ~ppc64 ~sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ppc ppc64 ~sparc x86"
DEPEND="sys-apps/systemd:0="
RDEPEND="${DEPEND}
diff --git a/dev-python/pythondialog/Manifest b/dev-python/pythondialog/Manifest
index a0f7d8de19fa..0dd3311eaa32 100644
--- a/dev-python/pythondialog/Manifest
+++ b/dev-python/pythondialog/Manifest
@@ -1 +1,2 @@
DIST python3-pythondialog-3.5.1.tar.bz2 1418034 BLAKE2B 28dbb76a213d702abd6fb4571ddd28acea0bd9757424e99432aa58c1336fce2aa9b248e4de0631fe34c7ac52b928c8b3dc65afc42a826cc268ca4247be4dafb8 SHA512 f032e425ce1ebac53ade1401e48625b5869497367f788831d08fd22eb3b3b14fa5aebd26fd3681b47222ef0247ebb5c1ead127f111ca296197e258650dd675ad
+DIST python3-pythondialog-3.5.3.tar.bz2 1428518 BLAKE2B 032735d2df318b4e94c138475148c71ab8322c52181550ea13ddd27ac63d715cb59124a2fc1f09f7d835d4453583c449c665f5efd16a2418fe3ca3348f53ed8e SHA512 69ae3e3894dbd56136989699fee7a7f459ce9a024e0e06d22193f5fd306f0f2bf2f4d300460f7de7898db347acdf6111652878948a78468a1aa23158c5f7ae98
diff --git a/dev-python/pythondialog/pythondialog-3.5.3.ebuild b/dev-python/pythondialog/pythondialog-3.5.3.ebuild
new file mode 100644
index 000000000000..960a20d6e1a2
--- /dev/null
+++ b/dev-python/pythondialog/pythondialog-3.5.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python module for making simple text/console-mode user interfaces"
+HOMEPAGE="http://pythondialog.sourceforge.net/"
+SRC_URI="mirror://sourceforge/pythondialog/${PV}/python3-${P}.tar.bz2"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~sparc ~x86"
+
+RDEPEND="dev-util/dialog"
+
+distutils_enable_sphinx doc
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i doc/conf.py || die
+}
+
+python_install_all() {
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/scipy/scipy-1.8.0.ebuild b/dev-python/scipy/scipy-1.8.0.ebuild
index 688bf2418aa6..195801c5927b 100644
--- a/dev-python/scipy/scipy-1.8.0.ebuild
+++ b/dev-python/scipy/scipy-1.8.0.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="BSD LGPL-2"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 -hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 ~arm arm64 -hppa ~ia64 ~ppc ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="doc +pythran sparse"
DEPEND="
diff --git a/dev-python/sphinx-testing/sphinx-testing-1.0.1-r2.ebuild b/dev-python/sphinx-testing/sphinx-testing-1.0.1-r2.ebuild
index 5772da13b999..1c519af03ab9 100644
--- a/dev-python/sphinx-testing/sphinx-testing-1.0.1-r2.ebuild
+++ b/dev-python/sphinx-testing/sphinx-testing-1.0.1-r2.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
diff --git a/dev-python/sphinx_ansible_theme/Manifest b/dev-python/sphinx_ansible_theme/Manifest
index 4802a02e7a5a..f22dd7a3afce 100644
--- a/dev-python/sphinx_ansible_theme/Manifest
+++ b/dev-python/sphinx_ansible_theme/Manifest
@@ -1,3 +1,2 @@
DIST sphinx-ansible-theme-0.8.0.tar.gz 34401 BLAKE2B 493663331e593da8d56683991762452419fd5fdb48e2c59ee3a38b6242216bccf56e047e59294ae73cccfb48a66606e55fac6c9a19d91e6ea778920f9919dbd1 SHA512 399af992428dd3212681efa66036af9ae7dbd9a9dd507452686cc76aa3e365aabee0ba7b599fbbed85f1f252075d5158ade9a816a9aad17b4e5ed696be1c962e
-DIST sphinx-ansible-theme-0.9.0.tar.gz 34533 BLAKE2B 53e4169f8deb88c9b0398e745cb249a596b3e63086afd3543d2465e1f2048f587f0a5964ac4a4cdc7a81c2cf78239ec59cd808a4dd644b3faec39b7a2b6487cd SHA512 0610a8422950252d88469dde274e3ac3df85034a886e87dbc9a19d621a55a7fc45d8ffdaf047cf78c556d6eacc09832d718fa5ab8f5019621b37579d84ed4951
DIST sphinx-ansible-theme-0.9.1.tar.gz 34505 BLAKE2B 533e665b30f5aa450e4a2240c55c4992340b9f6ee03d27758bf119dfe2eef987fbd4b98136349af376557d8e9a78e5391a648b9886136995d05410b0c26561f2 SHA512 f78602af8affe7be59988f466cf6a2aa67e174086f338cad855369a7bbee5a76d07bcffa8406dea5a819127b26d69e29b0d90dab38b82524b3e317f9082d0379
diff --git a/dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.9.0.ebuild b/dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.9.0.ebuild
deleted file mode 100644
index 7fbbdea4899f..000000000000
--- a/dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.9.0.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-MY_PN="${PN//_/-}"
-MY_P="${MY_PN}-${PV}"
-
-DESCRIPTION="A reusable Ansible Sphinx theme"
-HOMEPAGE="https://github.com/ansible-community/sphinx_ansible_theme"
-SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
-S="${WORKDIR}"/${MY_P}
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv"
-
-RDEPEND="dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]"
-BDEPEND="dev-python/setuptools_scm[${PYTHON_USEDEP}]
- dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
- doc? ( dev-python/ansible-pygments[${PYTHON_USEDEP}] )"
-
-distutils_enable_sphinx docs 'dev-python/sphinx-notfound-page'
diff --git a/dev-python/subprocess-tee/subprocess-tee-0.3.5.ebuild b/dev-python/subprocess-tee/subprocess-tee-0.3.5.ebuild
index ff3b07508e4f..8ea46fd421fd 100644
--- a/dev-python/subprocess-tee/subprocess-tee-0.3.5.ebuild
+++ b/dev-python/subprocess-tee/subprocess-tee-0.3.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~riscv"
IUSE="test-full"
REQUIRED_USE="test-full? ( test )"
diff --git a/dev-python/twine/Manifest b/dev-python/twine/Manifest
index 9005a8b2c07d..7fc8a4313b54 100644
--- a/dev-python/twine/Manifest
+++ b/dev-python/twine/Manifest
@@ -1 +1,2 @@
DIST twine-3.8.0.tar.gz 213157 BLAKE2B c7c013a01b0f1f5ec24c76ebfea2c645da07eae0bb816978a37ed95bca4a2193cea627bdddefcd4beaadbe4bd7ee51315b309fbf06555cc75d509bc61578ac7d SHA512 d6ede7241d4825665054811ad657916281426eda6ee88f0e83295b5498876830b6c69284056e409539c792c24ebeb5af2eedf45108261490a72812b9e86e08f2
+DIST twine-4.0.0.tar.gz 214420 BLAKE2B 0a1dc91ed9308252d5db3825c8b642e015720bfe7a95dd9a92ba347cbf1eedede85b18b9c310fe20322928db8e44f988bffb3845748ce9817ecbd5b521fb25c8 SHA512 c97a4315bd2a923979aa3a6cebf826ef022a9e510383f7f1debf941b6eedc47642c999702bdc3377a9740f381ed4dc442a542f02a44e521040cb67fb342e9b7e
diff --git a/dev-python/twine/twine-4.0.0.ebuild b/dev-python/twine/twine-4.0.0.ebuild
new file mode 100644
index 000000000000..caeaae5eba63
--- /dev/null
+++ b/dev-python/twine/twine-4.0.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="
+ https://twine.readthedocs.io/
+ https://github.com/pypa/twine/
+ https://pypi.org/project/twine/
+"
+SRC_URI="https://github.com/pypa/twine/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+ >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+ >=dev-python/keyring-15.1[${PYTHON_USEDEP}]
+ >=dev-python/pkginfo-1.8.1[${PYTHON_USEDEP}]
+ >=dev-python/readme_renderer-21.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/rich-12.0.0[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/jaraco-envs[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/munch[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pypiserver[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # requires internet
+ rm -f tests/test_integration.py || die
+ # pytest-socket dep relevant only to test_integration, and upstream
+ # disables it anyway
+ sed -i -e '/--disable-socket/d' pytest.ini || die
+ sed -i -e '/--cov/d' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ local -x COLUMNS=80
+ epytest
+}
diff --git a/dev-python/twisted/twisted-22.1.0-r1.ebuild b/dev-python/twisted/twisted-22.1.0-r1.ebuild
index 8ee13de55d5c..3f5309cc748c 100644
--- a/dev-python/twisted/twisted-22.1.0-r1.ebuild
+++ b/dev-python/twisted/twisted-22.1.0-r1.ebuild
@@ -18,7 +18,7 @@ S=${WORKDIR}/${PN}-${P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm arm64 hppa ~ia64 ~m68k ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm arm64 hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="conch crypt http2 serial test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/wsproto/wsproto-1.1.0.ebuild b/dev-python/wsproto/wsproto-1.1.0.ebuild
index 4f5410b308a6..a2e66ee5f6f4 100644
--- a/dev-python/wsproto/wsproto-1.1.0.ebuild
+++ b/dev-python/wsproto/wsproto-1.1.0.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ppc ppc64 ~riscv ~sparc x86"
RDEPEND="
>=dev-python/h11-0.9[${PYTHON_USEDEP}]